/***************************************************************************/
/* 		This code is part of Nscache - viewer of Netscape(tm)	   */
/*		browsers disk cache					   */
/*		Copyright (c) 1999,2000 Ondrejicka Stefan		   */
/*		(ondrej@idata.sk)					   */
/*		created 2005 by Harald Foerster				   */
/*		(harald_foerster@users.sourceforge.net)			   */
/*		Distributed under GPL 2 or later			   */
/***************************************************************************/

#ifndef VIEWER_H
#define VIEWER_H

#include "nscache.h"

enum
{
	VIEWER_URL,
	VIEWER_FILE
};

/* parameter is URL (%u) or file (%f) */
extern const char uof_param_str[2][3];

/* the viewer's return value */
extern volatile int viewer_status;

/* int viewer_type - one of above */
int viewer_start(const char* appassign, const nscache_record_t* rec, int viewer_type);

#endif /* VIEWER_H */
